# Class default

This is a base element.

That includes:

- i18next initialization.
- Bootstrap (custom build + color in vars), Font Awesome, reset and some custom style.
- Configuration directly available by overriding the `initConfig` method.
- RXJS subscription added to subscriptions are unsubscribe on element removal. Example:

       import {html, css} from 'lit';
       import {customElement} from 'lit/decorators.js';

       // @ts-ignore
       @customElement('my-element')
       export default class MyElement extent (window as any).gmfapi.elements.BaseElement {
         static styles = [
           ...(window as any).gmfapi.elements.BaseElement.styles,
           css`...`
         ];

         initConfig(configuration: Any): void {
           ...
         };

         render(): TemplateResult {
           return html`${this.getTitle(i18next.t('Title'))}
             your template`
         }
       }

#### Hierarchy

- default
  - default

- Defined in src/auth/FormElement.ts:46

#####
Index

### Constructors

constructor

### Properties

bootstrapStyle
bootstrapVarStyle
commonStyle
fontawesomeStyle
resetStyle
styles

### Methods

changePassword
changePasswordReset
cleanForm_
connectedCallback
disconnectedCallback
initConfig
login
logout
manualLoginLogout_
mozRequestFullScreen
mozRequestFullScreenWithKeys
msRequestFullscreen
resetError_
resetPassword
setError_
webkitRequestFullscreen

## Constructors

### constructor

- new default(): default

- #### Returns default

  Inherited from default.constructor

  - Defined in node_modules/@lit/reactive-element/reactive-element.d.ts:487

## Properties

### `Static` bootstrapStyle

bootstrapStyle: CSSResult = ...

Inherited from default.bootstrapStyle

- Defined in srcapi/elements/BaseElement.ts:73

### `Static` bootstrapVarStyle

bootstrapVarStyle: CSSResult = ...

Inherited from default.bootstrapVarStyle

- Defined in srcapi/elements/BaseElement.ts:82

### `Static` commonStyle

commonStyle: CSSResult = ...

Inherited from default.commonStyle

- Defined in srcapi/elements/BaseElement.ts:112

### `Static` fontawesomeStyle

fontawesomeStyle: CSSResult = ...

Inherited from default.fontawesomeStyle

- Defined in srcapi/elements/BaseElement.ts:76

### `Static` resetStyle

resetStyle: CSSResult = ...

Inherited from default.resetStyle

- Defined in srcapi/elements/BaseElement.ts:70

### `Static` styles

styles: CSSResult[] = ...

Overrides default.styles

- Defined in src/auth/FormElement.ts:111

## Methods

### changePassword

- changePassword(evt): void

- Calls the authentication service changePassword method.

  #### Parameters

  - ##### evt: Event

    the event

  #### Returns void

  - Defined in src/auth/FormElement.ts:379

### changePasswordReset

- changePasswordReset(): void

- Reset the changePassword values and error.

  #### Returns void

  - Defined in src/auth/FormElement.ts:571

### cleanForm_

- cleanForm_(): void

- Clear the form

  #### Returns void

  - Defined in src/auth/FormElement.ts:620

### connectedCallback

- connectedCallback(): void

- #### Returns void

  Overrides default.connectedCallback

  - Defined in src/auth/FormElement.ts:63

### disconnectedCallback

- disconnectedCallback(): void

- #### Returns void

  Inherited from default.disconnectedCallback

  - Defined in srcapi/elements/BaseElement.ts:166

### initConfig

- initConfig(configuration): void

- #### Parameters

  - ##### configuration: Configuration

  #### Returns void

  Overrides GmfBaseElement.initConfig

  - Defined in src/auth/FormElement.ts:102

### login

- login(evt): void

- Calls the authentication service login method.

  #### Parameters

  - ##### evt: Event

    Event from the form submit action.

  #### Returns void

  - Defined in src/auth/FormElement.ts:463

### logout

- logout(evt): void

- Calls the authentication service logout method.

  #### Parameters

  - ##### evt: Event

    Event from the form submit action.

  #### Returns void

  - Defined in src/auth/FormElement.ts:505

### manualLoginLogout_

- manualLoginLogout_(): void

- Effects on manual try to login/logout.

  #### Returns void

  - Defined in src/auth/FormElement.ts:528

### mozRequestFullScreen

- mozRequestFullScreen(): Promise<void>

- #### Returns Promise<void>

  Inherited from default.mozRequestFullScreen

  - Defined in types/dom.d.ts:25

### mozRequestFullScreenWithKeys

- mozRequestFullScreenWithKeys(): Promise<void>

- #### Returns Promise<void>

  Inherited from default.mozRequestFullScreenWithKeys

  - Defined in types/dom.d.ts:26

### msRequestFullscreen

- msRequestFullscreen(): Promise<void>

- #### Returns Promise<void>

  Inherited from default.msRequestFullscreen

  - Defined in types/dom.d.ts:27

### resetError_

- resetError_(): void

- Reset the error notification

  #### Returns void

  - Defined in src/auth/FormElement.ts:634

### resetPassword

- resetPassword(evt): void

- Calls the authentication service resetPassword method.

  #### Parameters

  - ##### evt: Event

    Event from the form submit action.

  #### Returns void

  - Defined in src/auth/FormElement.ts:538

### setError_

- setError_(errors, messageType?): void

- Set an error notification

  #### Parameters

  - ##### errors: string[]

    List of errors

  - ##### `Optional` messageType: MessageType

    Type of message

  #### Returns void

  - Defined in src/auth/FormElement.ts:595

### webkitRequestFullscreen

- webkitRequestFullscreen(allowKeyboardInput?): Promise<void>

- #### Parameters

  - ##### `Optional` allowKeyboardInput: number

  #### Returns Promise<void>

  Inherited from default.webkitRequestFullscreen

  - Defined in types/dom.d.ts:28

Generated using TypeDoc